// gradient stop for backdrop fade
// used to calculate the position of grid to slightly overlap backdrop
$backdrop-gradient-position: 40%;

page-movie-details {
  #close-modal-fab {
    color: color($colors, "light");
    background-color: rgba(33, 33, 33, 0.3);
  }

  #backdrop-image {
    mask-image: linear-gradient(to top, transparent 0%, black 40%);
  }

  #offset-container {
    position: relative;
  }

  #offset-grid {
    position: absolute;
    top: 100% - $backdrop-gradient-position;
  }

  #movie-title {
    color: color($colors, "light");
  }

  // #movie-poster {
  //   mask-image: linear-gradient(to top, transparent 20%, black 80%);
  // }

  .my-button {
    background: map-get($gradients, "buttons");
  }

  .debug-blur {
    filter: blur(0.25rem);
  }
}
